# `PhoenixKitWeb.Components.Core.OAuthUtils`
[🔗](https://github.com/BeamLabEU/phoenix_kit/blob/v1.7.87/lib/phoenix_kit_web/components/core/oauth_utils.ex#L1)

Utility components for OAuth functionality.

# `callback_url_copy`

Displays a callback URL with a copy-to-clipboard button.

## Attributes

* `url` (`:string`) (required)
* `provider_name` (`:string`) (required)
* `class` (`:string`) - Defaults to `nil`.

# `reverse_proxy_notice`

Displays reverse proxy notice for OAuth providers.

## Attributes

* `class` (`:string`) - Defaults to `"text-xs text-base-content/60 mt-2"`.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
